# Method: voices.list

- [HTTP request](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.request_body)
- [Response body](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.ListVoicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#body.aspect)
- [Voice](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#Voice)
  - [JSON representation](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#Voice.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#try-it)

Returns a list of Voice supported for synthesis.

### HTTP request

`GET https://texttospeech.googleapis.com/v1/voices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. Recommended. [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. If not specified, the API will return all supported voices. If specified, the voices.list call will only return voices that can be used to synthesize this languageCode. For example, if you specify `"en-NZ"`, all `"en-NZ"` voices will be returned. If you specify `"no"`, both `"no-\*"` (Norwegian) and `"nb-\*"` (Norwegian Bokmal) voices will be returned. |

### Request body

The request body must be empty.

### Response body

The message returned to the client by the `voices.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "voices": [ { object (`https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#Voice`) } ] } ``` |

| Fields ||
|---|---|
| `voices[]` | ``object (`https://docs.cloud.google.com/text-to-speech/docs/reference/rest/v1/voices/list#Voice`)`` The list of voices. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## Voice

Description of a voice supported by the TTS service.

| JSON representation |
|---|
| ``` { "languageCodes": [ string ], "name": string, "ssmlGender": enum (`https://docs.cloud.google.com/text-to-speech/docs/reference/rest/Shared.Types/SsmlVoiceGender`), "naturalSampleRateHertz": integer } ``` |

| Fields ||
|---|---|
| `languageCodes[]` | `string` The languages that this voice supports, expressed as [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tags (e.g. "en-US", "es-419", "cmn-tw"). |
| `name` | `string` The name of this voice. Each distinct voice has a unique name. |
| `ssmlGender` | ``enum (`https://docs.cloud.google.com/text-to-speech/docs/reference/rest/Shared.Types/SsmlVoiceGender`)`` The gender of this voice. |
| `naturalSampleRateHertz` | `integer` The natural sample rate (in hertz) for this voice. |